Subject: [clisp-list] Building CLISP 2.31 on Fedora Core 1

From: Gerard Milmeister <[email-masked]>
Date: Thu Nov 13 04:41:15 2003

Hi,

I am trying to build CLISP 2.31 on Fedora Core 1 and encountered the
following issues:

1. In contrast to RH9, in FC1 it is no longer possible to execute a
malloced memory without mprotect first.
2. The included configure script is broken. Many variables, like the CL_
ones have not been substituted. I re-autoconfed using an aclocal.m4 file
build from the macros in src/m4.
3. In configure.in there have to be macro calls to
  - CL_MALLOC
  - CL_SHMAT
  - CL_SHMGET
  These have been missing.
4. Now configure script proceeds, and I can now build using make
  However later
  ./lisp.run -B . -N locale -Efile UTF-8 -Eterminal UTF-8 -norc -m 750KW
-x "(and (load \"init.lisp\") (sys::%saveinitmem) (ext::exit))"
 results in a segmentation fault:
;; Loading file defseq.lisp ...
;; Loaded file defseq.lisp
;; Loading file backquote.lisp ...
;; Loaded file backquote.lisp
;; Loading file defmacro.lisp ...make: *** [interpreted.mem]
Segmentation fault

-- 
Gérard Milmeister
Tannenrauchstrasse 35
8038 Zürich
[email-masked]